CC = gcc
LIBS = -lresolv -lssl
LIBSFB = -lssl -lcrypto
CFLAGS = -O3 -Wall
LDFLAGS =
TARGET_DIR = /usr/local/sbin

all:	mxfilter

mxfilter: mxget.o utils.o fecyk.o mxfilter.o acl.o spf1.o spfmacro.o spfptr.o gettxt.o sign.o
	$(CC) $(CFLAGS) -o mxfilter mxfilter.o acl.o mxget.o \
	    utils.o fecyk.o spf1.o spfmacro.o spfptr.o \
	    gettxt.o sign.o $(LIBS)

freebsd: mxget.o utils.o fecyk.o mxfilter.o acl.o spf1.o spfmacro.o spfptr.o gettxt.o sign.o
	$(CC) $(CFLAGS) -o mxfilter mxfilter.o acl.o mxget.o \
	    utils.o fecyk.o spf1.o spfmacro.o spfptr.o \
	    gettxt.o sign.o $(LIBSFB)

mxfilter.o: mxfilter.c
	$(CC) $(CFLAGS) -c -o mxfilter.o mxfilter.c

acl.o: acl.c
	$(CC) $(CFLAGS) -c -o acl.o acl.c

mxget.o: mxget.c
	$(CC) $(CFLAGS) -c -o mxget.o mxget.c

gettxt.o: gettxt.c
	$(CC) $(CFLAGS) -c -o gettxt.o gettxt.c

utils.o: utils.c
	$(CC) $(CFLAGS) -c -o utils.o utils.c

fecyk.o: fecyk.c
	$(CC) $(CFLAGS) -c -o fecyk.o fecyk.c

spf1.o: spf1.c
	$(CC) $(CFLAGS) -c -o spf1.o spf1.c

spfmacro.o: spfmacro.c
	$(CC) $(CFLAGS) -c -o spfmacro.o spfmacro.c

spfptr.o: spfptr.c
	$(CC) $(CFLAGS) -c -o spfptr.o spfptr.c

sign.o: sign.c
	$(CC) $(CFLAGS) -c -o sign.o sign.c


clean:
	rm *.o
	rm mxfilter

install:
	strip mxfilter
	install -m 755 mxfilter $(TARGET_DIR)/mxfilter
	ln -s -f $(TARGET_DIR)/mxfilter $(TARGET_DIR)/mxfilterd
